org.apache.storm.cassandra.trident.state

## Class OpaqueTupleStateMapper

- java.lang.Object
- - org.apache.storm.cassandra.trident.state.OpaqueTupleStateMapper

- All Implemented Interfaces:
    Serializable, StateMapper<OpaqueValue<ITuple>>

      public class OpaqueTupleStateMapper
      extends Object
      implements StateMapper<OpaqueValue<ITuple>>

  State mapper that maps an opaque tuple to separate state fields.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpaqueTupleStateMapper(String currTxIdField, String currPrefix, String prevPrefix, Fields fields)`
    `OpaqueTupleStateMapper(String currTxIdField, String currPrefix, String prevPrefix, String... fields)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OpaqueValue<ITuple>` | `fromValues(List<Values> valuesList)`
    `Fields` | `getStateFields()`
    `String` | `toString()`
    `Values` | `toValues(OpaqueValue<ITuple> tuple)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OpaqueTupleStateMapper

          public OpaqueTupleStateMapper(String currTxIdField,
                                        String currPrefix,
                                        String prevPrefix,
                                        String... fields)

    - #### OpaqueTupleStateMapper

          public OpaqueTupleStateMapper(String currTxIdField,
                                        String currPrefix,
                                        String prevPrefix,
                                        Fields fields)

  - ### Method Detail

    - #### getStateFields

          public Fields getStateFields()

      Specified by:
        `getStateFields` in interface `StateMapper<OpaqueValue<ITuple>>`

    - #### toValues

          public Values toValues(OpaqueValue<ITuple> tuple)

      Specified by:
        `toValues` in interface `StateMapper<OpaqueValue<ITuple>>`

    - #### fromValues

          public OpaqueValue<ITuple> fromValues(List<Values> valuesList)

      Specified by:
        `fromValues` in interface `StateMapper<OpaqueValue<ITuple>>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.